#! /bin/bash
### Script by ifrit05 for MacRumours Forum. 
### Created for PPC users, but will work on intel Macs also.

kexts=$(ls ~/DriverInstaller/DropFilesHere/*.kext 2> /dev/null | wc -l)

cd ~/

clear

echo "This utility will work up to versions 10.5.8 (Leopard), PPC and intel."
echo "It might not work correctly if on versions 10.6+ (Snow Leopard, Lion," 
echo "Mountain Lion, Mavericks). I take no responsibility for damaged systems."
echo ""
echo -e "        \e[5;91m~ ~ ~ Y O U   H A V E   B E E N   W A R N E D ~ ~ ~\e[0m"
echo ""
read -n1 -r -p "Press any key to continue or Force-Quit to abort..." key

clear

if [ **"$kexts" != "0"** ]; then

	echo -e "\e[34m[1]\e[0m Installing Kext(s)..."
	sudo cp -R ~/DriverInstaller/DropFilesHere/*.kext /System/Library/Extensions/
	echo -e "\e[92mDone.\e[0m"
	echo " "

	echo -e "\e[34m[2]\e[0m Repairing Permissions..."
	sudo chown -R root:wheel /System/Library/Extensions/*.kext
	sudo chmod -R 755 /System/Library/Extensions/*.kext
	echo -e "\e[92mDone.\e[0m"
	echo " "
	
	echo -e "\e[34m[3]\e[0m Clearing Extensions Cache..."
	sudo rm -R /System/Library/Extensions.mkext
	echo -e "\e[92mDone.\e[0m"

else
	
	echo "No Kexts found!" 
	echo "Run the program after adding Kexts to the DropFilesHere folder!"
	echo -e "\e[91mError.\e[0m"	

fi
